%function total_price_matrix=calc_price()

girder1=[0.44252, 0.44113, 0.23973, 6.3628, 1.0877, 7734, 8609, 129000];
girder2=[0.47074, 0.47454, 0.25833, 6.8085, 1.1957, 7957, 8872, 132647];
girder3=[0.49860, 0.50781, 0.27691, 7.2541, 1.3028, 8179, 9133, 136145];
cable_price = 125; 
hanger_price = 150;
deck_price = 45;
tower_price = 11+9*0.16;
multi = [1,1,2,10,30,130];
%girder2=[0.49860, 0.50781, 0.27691, 7.2541, 1.3028, 8179, 9133, 136145];
% diff=girder2-girder1;
% girder3=girder2+diff;
% girder4=girder3+diff;
girder = [girder1;girder2;girder3];

lm=2800;
%density=8400;
total_price_matrix=zeros(1,1,1);
g=1;
t=1;
d=1;
for towerHeight = 300:20:400 %7 stk
    final_sag=towerHeight-30;
    
    for dist = 7:2:13 %4 stk
        [A_chosen,sag]=generateNodes1(dist,towerHeight,final_sag);
        for gir = 1:size(girder,1) %4 stk
            f = @(x) sqrt(1 + (8*sag*x/lm^2).^2);                 
            Length_cable= integral(f,-lm/2,lm/2); 
            
            x=-1380:20:1380;
            f=(4*sag*x.^2)/(lm.^2) +10;           
            
%             tower_price = (11+9*0.16)*multi(t);
            tower_price = (11+9*0.16);
            
            total_tower_volume = towerHeight*4*(9.5*11-5*5)+(4*(8*5-6*3)+2*30*20)*(2*dist+2*7);
            
            rho = 7850;
            total_hanger_mass = 2*sum(f)*0.005*rho;
            total_cable_mass  = A_chosen*2*Length_cable*rho;
            total_girder_mass = 2*girder(gir,1)*2800*rho;
            
            total_price  = total_hanger_mass*hanger_price+total_cable_mass*cable_price...
                +total_girder_mass*deck_price+total_tower_volume*tower_price;
            
            total_price_matrix(t,d,g)=total_price;
            
                        
            g=g+1;
        end
        g=1;
        d=d+1;
        
    end
    d=1;
    t=t+1;
    
end
total_price_matrix(:,:);

towerHeight = 300:20:400;
dist = 7:2:13;

%surf(dist,towerHeight,total_price_matrix)





