
U2max_matrix = zeros(1,1,1);
dynamicResponse_matrix = zeros(1,1,1);
dynamicAcc_matrix = zeros(1,1,1);
dynamicResponseVert_matrix = zeros(1,1,1);
dynamicAccVert_matrix = zeros(1,1,1);
towerHeight = 300:20:400;
dist = 7:2:13;
girder=1:3;

for t=1:6
    for d=1:4
        for g=1:3
            NodeNumberString=['d' num2str(d, '%02d') 't' num2str(t, '%02d') 'g' num2str(g, '%02d')];        
            datfile=['parametric' NodeNumberString '.dat']
            U2max=getU2max(datfile);
            U2max_matrix(d,t,g)=U2max;
            
            modeNumber=1;
            [sigma_ry,sigma_ryddot] = getDynamicResponse(datfile,modeNumber);
            dynamicResponse = sqrt(20)*sigma_ry;
            dynamicAcc = sqrt(2)*sigma_ryddot;
            dynamicResponse_matrix(d,t,g) = dynamicResponse;
            dynamicAcc_matrix(d,t,g) = dynamicAcc;
            
            modeNumber=3;
            [sigma_rz,sigma_rzddot]=getDynamicResponseVertical(datfile,modeNumber);
            dynamicResponseVert = sqrt(2)*sigma_rz;
            dynamicAccVert = sqrt(2)*sigma_rzddot;
            dynamicResponseVert_matrix(d,t,g) = dynamicResponseVert;
            dynamicAccVert_matrix(d,t,g) = dynamicAccVert;
        end
    end
end

U2max_matrix;
U2maxTotal = U2max_matrix+dynamicResponse_matrix;


%total_steel_matrix=calc_mass();

%towerHeight
%dist
% surf(dist,towerHeight,U2max_matrix(:,:,1)); hold on
% surf(dist,towerHeight,total_steel_matrix(:,:,1)); hold on

%surf(dist,towerHeight,U2max_matrix(:,:,2)); hold on
%surf(dist,towerHeight,U2max_matrix(:,:,3)); hold on

U21=U2max_matrix(:,:,1);
U22=U2max_matrix(:,:,2);
U23=U2max_matrix(:,:,3);

%steel=total_steel_matrix(:,:,1);

        
    